Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.dsl
Class DefaultRepositoryHandler

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.artifacts.DefaultResolverContainer
                  org.gradle.api.internal.artifacts.dsl.DefaultRepositoryHandler

    class DefaultRepositoryHandler
    extends DefaultResolverContainer

author:
  Hans Dockter

Constructor Summary
`DefaultRepositoryHandler(ResolverFactory resolverFactory, Convention convention)`

Method Summary
`DependencyResolver` | `findByName(java.lang.String name)`
`FileSystemResolver` | `flatDir(java.util.Map args)`
`DependencyResolver` | `getAt(java.lang.String name)`
`DependencyResolver` | `getByName(java.lang.String name)`
`DependencyResolver` | `getByName(java.lang.String name, groovy.lang.Closure configureClosure)`
`DependencyResolver` | `mavenCentral()`
`DependencyResolver` | `mavenCentral(java.util.Map args)`
`GroovyMavenDeployer` | `mavenDeployer(java.util.Map args)`
`GroovyMavenDeployer` | `mavenDeployer()`
`GroovyMavenDeployer` | `mavenDeployer(groovy.lang.Closure configureClosure)`
`GroovyMavenDeployer` | `mavenDeployer(java.util.Map args, groovy.lang.Closure configureClosure)`
`MavenResolver` | `mavenInstaller()`
`MavenResolver` | `mavenInstaller(groovy.lang.Closure configureClosure)`
`MavenResolver` | `mavenInstaller(java.util.Map args)`
`MavenResolver` | `mavenInstaller(java.util.Map args, groovy.lang.Closure configureClosure)`
`DependencyResolver` | `mavenRepo(java.util.Map args)`

Methods inherited from class DefaultResolverContainer
add, add, addAfter, addAfter, addBefore, addBefore, addFirst, addFirst, conv, conventionMapping, conventionProperty, createMavenDeployer, createMavenInstaller, createNotFoundException, getConfigurationContainer, getConventionAwareHelper, getConventionMapping, getDisplayName, getMavenPomDir, getMavenScopeMappings, getResolverFactory, getResolverNames, getResolvers, setConfigurationContainer, setConventionAwareHelper, setConventionMapping, setMavenPomDir, setMavenScopeMappings, setResolverFactory, setResolverNames

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultRepositoryHandler

    public DefaultRepositoryHandler(ResolverFactory resolverFactory, Convention convention)

Method Detail

### findByName

    public DependencyResolver findByName(java.lang.String name)

### flatDir

    FileSystemResolver flatDir(java.util.Map args)

### getAt

    public DependencyResolver getAt(java.lang.String name)

### getByName

    public DependencyResolver getByName(java.lang.String name)

### getByName

    public DependencyResolver getByName(java.lang.String name, groovy.lang.Closure configureClosure)

### mavenCentral

    public DependencyResolver mavenCentral()

### mavenCentral

    public DependencyResolver mavenCentral(java.util.Map args)

### mavenDeployer

    public GroovyMavenDeployer mavenDeployer(java.util.Map args)

### mavenDeployer

    public GroovyMavenDeployer mavenDeployer()

### mavenDeployer

    public GroovyMavenDeployer mavenDeployer(groovy.lang.Closure configureClosure)

### mavenDeployer

    public GroovyMavenDeployer mavenDeployer(java.util.Map args, groovy.lang.Closure configureClosure)

### mavenInstaller

    public MavenResolver mavenInstaller()

### mavenInstaller

    public MavenResolver mavenInstaller(groovy.lang.Closure configureClosure)

### mavenInstaller

    public MavenResolver mavenInstaller(java.util.Map args)

### mavenInstaller

    public MavenResolver mavenInstaller(java.util.Map args, groovy.lang.Closure configureClosure)

### mavenRepo

    public DependencyResolver mavenRepo(java.util.Map args)

Groovy Documentation